%define name		kde-multimedia-audiocd-kio
%define version		15.04.3
%define release		%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Kioslave for accessing audio CDs
URL:		http://multimedia.kde.org/
Group: 		Graphical desktop/KDE4
License:	GPL v3
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/audiocd-kio-%{version}.tar.xz
BuildRequires: 	kdelibs-devel
BuildRequires: 	libkcddb-devel
BuildRequires: 	libkcompactdisc-devel
BuildRequires: 	%{_lib}cdda-devel
BuildRequires: 	lame
Requires: 	libkcompactdisc
Requires: 	libkcddb
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
%{summary}

%prep
%setup -q -n audiocd-kio-%{version}

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_kde_libdir/kde4/kcm_audiocd.so
%_kde_libdir/kde4/kio_audiocd.so
%_kde_libdir/kde4/libaudiocd_encoder_flac.so
%_kde_libdir/kde4/libaudiocd_encoder_lame.so
%_kde_libdir/kde4/libaudiocd_encoder_vorbis.so
%_kde_libdir/kde4/libaudiocd_encoder_wav.so
%_kde_libdir/libaudiocdplugins.so.*
%_kde_appsdir/konqsidebartng/virtual_folders/services/audiocd.desktop
%_kde_appsdir/solid/actions/solid_audiocd.desktop
%_kde_datadir/config.kcfg/audiocd_lame_encoder.kcfg
%_kde_datadir/config.kcfg/audiocd_vorbis_encoder.kcfg
%_kde_datadir/config.kcfg/audiocd_flac_encoder.kcfg
%_kde_docdir/HTML/en/kioslave/audiocd
%_kde_datadir/kde4/services/audiocd.desktop
%_kde_datadir/kde4/services/audiocd.protocol

%exclude %_kde_includedir/audiocdencoder.h
%exclude %_kde_libdir/libaudiocdplugins.so

%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sat Mar 07 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
